<?php

namespace Shop\Models\PricelistSheet;

use Shop\Domain\PriceList\Contracts\PriceListEntityInterface;
use Shop\Models\PricelistSheet\Base\PricelistSheet as BasePricelistSheet;

/**
 * Skeleton subclass for representing a row from the 'shop_pricelist_sheets' table.
 *
 *
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 */
class PricelistSheet extends BasePricelistSheet implements PriceListEntityInterface
{

    public function getTitleWithCur(){
        return sprintf(
                "%s (%s)",
                $this->getTitle(),
                $this->getCurrency()->getHtmlSign()
                );
    }
}
